<script setup lang="ts">
    withDefaults(
        defineProps<{
            title: string
            displayCloseButton?: boolean
        }>(),
        {
            displayCloseButton: false,
        }
    )
    defineEmits<{
        (e: 'closeDialog'): void
    }>()
</script>
<template>
    <v-dialog
        style="max-width: 55rem"
        :fullscreen="!$vuetify.display.mdAndUp"
        persistent
    >
        <v-card>
            <v-card-title class="d-flex justify-space-between">
                {{ title }}
                <v-btn
                    v-if="displayCloseButton"
                    density="comfortable"
                    size="small"
                    color="background"
                    icon="mdi-close"
                    @click="$emit('closeDialog')"
                />
            </v-card-title>
            <v-divider></v-divider>
            <v-card-text>
                <slot> </slot>
            </v-card-text>
            <v-card-actions v-if="$slots.actions">
                <slot name="actions"> </slot>
            </v-card-actions>
        </v-card>
    </v-dialog>
</template>
